You are not logged in.
move back to openrc
uninstall runit-init
reinstall sysvinit-core
reconfigure openrc
working, booting, as usual, nothing is broken
i am trying move back to open rc,
already reinstall openrc and sysvinit-core,
system booting good in openrc,
but why i see this?
root@home:/home/freeartist-devuan# dpkg-reconfigure openrc
/usr/sbin/dpkg-reconfigure: openrc is broken or not fully installed
root@home:/home/freeartist-devuan# freeartist-devuan@home:~$ sudo su
[sudo] password for freeartist-devuan:
root@home:/home/freeartist-devuan# dpkg-reconfigure openrc
/usr/sbin/dpkg-reconfigure: openrc is broken or not fully installed
root@home:/home/freeartist-devuan# apt install openrc
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
openrc is already the newest version (0.45.2-2).
The following package was automatically installed and is no longer required:
sysuser-helper
Use 'sudo apt autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 23 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]
Setting up openrc (0.45.2-2) ...
Add existing services ...
* rc-update: killprocs already installed in runlevel `recovery'; skipping
* rc-update: single already installed in runlevel `recovery'; skipping
* rc-update: bootlogs already installed in runlevel `recovery'; skipping
* rc-update: console-setup.sh already installed in runlevel `default'; skipping
* rc-update: binfmt-support already installed in runlevel `default'; skipping
* rc-update: mono-xsp4 already installed in runlevel `default'; skipping
* rc-update: pulseaudio-enable-autospawn already installed in runlevel `default'; skipping
* rc-update: rsyslog already installed in runlevel `default'; skipping
* rc-update: sudo already installed in runlevel `default'; skipping
* rc-update: uuidd already installed in runlevel `default'; skipping
* rc-update: service `acpid' is not executable
dpkg: error processing package openrc (--configure):
installed openrc package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of sysvinit-core:
sysvinit-core depends on sysv-rc | openrc | file-rc; however:
Package sysv-rc is not installed.
Package openrc is not configured yet.
Package file-rc is not installed.
dpkg: error processing package sysvinit-core (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
openrc
sysvinit-core
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@home:/home/freeartist-devuan# did you installed also runit-services package?
idk, only this apt-get install runit-init
I don't think dpkg-reconfigure has any use here; reinstall openrc + sysvinit-core should do it.
Then, to reboot from runit into openrc call
Thanks, reinstall only openrc? Why you mentioned +sysvinit-core?
@Lorenzo
Thanks man!
it seems to have worked
But i not feeling any difference, only boot log looks another.
its was easy.
And to move back i must uninstall runit-init and make dpkg-reconfigure openrc or reinstall openrc?
Thanks for reply
Are you mean install runit and do dpkg-reconfigure openrc or dpkg-reconfigure runit?
Is it safe, i am aware that i can broke os by this commands?
If it possible, how do this?
Thanks.
Good, and where difference if i take Devuan and install TDE and Excalibur?
@coyotito
try use this solution for nvidia drivers, its works for me
https://www.if-not-true-then-false.com/
@bai4Iej2need
are you sure that you use proprietary Nvidia driver and Nouveau is blacklisted?
@rankbeginner
do you tried deadbeef player?
https://deadbeef.sourceforge.io/download.html
ps i am hear music only at lossy format. But if you tell me how, i can test lossless music with Audacious.
@chris2be8
Thanks you for investigation MrPoirot
Something found here
etc/init.d/rc.local
restart|reload|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
#! /bin/sh
### BEGIN INIT INFO
# Provides: rc.local
# Required-Start: $all
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: Run /etc/rc.local if it exist
### END INIT INFO
PATH=/usr/sbin:/usr/bin:/sbin:/bin
. /lib/init/vars.sh
. /lib/lsb/init-functions
do_start() {
if [ -x /etc/rc.local ]; then
[ "$VERBOSE" != no ] && log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
ES=$?
[ "$VERBOSE" != no ] && log_end_msg $ES
return $ES
fi
}
do_stop() {
if [ -x /etc/rc.shutdown ]; then
[ "$VERBOSE" != no ] && log_begin_msg "Running local shutdown scripts (/etc/rc.shutdown)"
/etc/rc.shutdown
ES=$?
[ "$VERBOSE" != no ] && log_end_msg $ES
return $ES
fi
}
case "$1" in
start)
do_start
;;
restart|reload|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
status)
# No-op
exit 0
;;
stop)
do_stop
exit 0
;;
*)
echo "Usage: $0 start|stop" >&2
exit 3
;;
esacExactly when does that message come out? Is it when you boot the system, log on, log off or shut it down?
less /etc/init.d/kmod should tell you what kmod is (unless all the comments are missing).
Try this:
ls -l /etc/rc?.d/*kmod* lrwxrwxrwx 1 root root 14 May 9 2018 /etc/rcS.d/S09kmod -> ../init.d/kmodYou should get only 1 line, a symlink that tells the OS to run kmod start when bringing the system up. I suspect you have a stop link somewhere (it will be probably named something like K09kmod).
For belt and braces try ls -l /etc/rc?.d/ | grep kmod which searches the destination of the symlink. If still stuck grep meaningless /etc/rc?.d/* in case there is a stray copy of kmod somewhere.
Thanks, yes source of warning is string at /etc/init.d/kmod
Action '$1' is meaningless for this init script
freeartist-devuan@home:~$ ls -l /etc/rc?.d/ | grep kmod
lrwxrwxrwx 1 root root 14 Aug 18 23:11 S09kmod -> ../init.d/kmod
freeartist-devuan@home:~$ grep meaningless /etc/rc?.d/*
/etc/rcS.d/S09kmod: log_warning_msg "Action '$1' is meaningless for this init script"
freeartist-devuan@home:~$ Ok. So i must ignore it? And i see this warning only when use lightdm, using slim i do not see it.
@chris2be8
Thanks for helpful reply! I here have same as you. And what next?
freeartist-devuan@home:/etc/init.d$ grep meaningless *
kmod: log_warning_msg "Action '$1' is meaningless for this init script"
freeartist-devuan@home:/etc/init.d$ ./kmod
Usage: ./kmod start.
freeartist-devuan@home:/etc/init.d$ ./kmod start
Loading kernel module lp.
Loading kernel module ppdev.
Loading kernel module parport_pc.
Loading kernel module cuse.
freeartist-devuan@home:/etc/init.d$ What is kmod?
And why i see this warning only at lightdm but no at slim?
Action 'stop' is meaningless for this init script ... (warning)
i have seen in .xsession-errors but not find this warning
is there command for parsing all system logs to find this warning?
But why i cant find
Action 'stop' is meaningless for this init script ... (warning)
at any logs?
May be this message is related to lightdm? Where i can find ldm shutdown logs?
Why usung lightdm shutdown screen log looks different than slim log?
@Andre4freedom
@GlennW
Thanks for reply)
I wouldn't worry about the message, it's not related to slim or apparmor
Revert back to slim from lightdm,
now shutdown log looks bit different than with lightdm, and no any warnings, thanks
i cant google warning message, but here Bard answer about it
https://bard.google.com/share/87cbfc7ddb5a
For the shutdown warning message, I have that one too, I just ignore it. It's not an error.Thanks, yes, it just warning, but previously i have no this message. Curious where can be source of this warning? I cant find it at logs.
Removing apparmor can be sensible too, if you install applications foreign to the specific distribution.So this warning can be shown after removing apparmor? How resolve this?
I don’t know anything about OpenRC, but in my opinion there is something superfluous here
Running servicesYes, i am try several variants, disable, stop, enable, slim all the same warning.
Also i do not know why slim is enabled if i do dpkg-reconfigure and select lightdm default dm?
Just curious where is source of this message?
I do not find it at /var/log
Action 'stop' is meaningless for this init script ... (warning)Previously
-i am disable and remove Apparmor
-change Slim to LightDM
root@home:/home/freeartist-devuan# rc-status --servicelist
umountroot [ started ]
umountfs [ started ]
mountkernfs.sh [ started ]
eudev [ started ]
mountdevsubfs.sh [ started ]
bootlogd [ started ]
hostname.sh [ started ]
keyboard-setup.sh [ started ]
checkroot.sh [ started ]
checkfs.sh [ started ]
checkroot-bootclean.sh [ started ]
mountall.sh [ started ]
mountall-bootclean.sh [ started ]
pulseaudio-enable-autospawn [ started ]
hwclock.sh [ started ]
urandom [ started ]
procps [ started ]
networking [ started ]
mountnfs.sh [ started ]
mountnfs-bootclean.sh [ started ]
umountnfs.sh [ started ]
rsyslog [ started ]
gpm [ started ]
sendsigs [ stopped ]
acpid [ started ]
dbus [ started ]
avahi-daemon [ started ]
x11-common [ started ]
lightdm [ started ]
anacron [ started ]
bootlogs [ started ]
console-setup.sh [ started ]
cron [ started ]
cups [ started ]
cups-browsed [ started ]
elogind [ started ]
network-manager [ started ]
openvpn [ started ]
osspd [ started ]
pcscd [ started ]
sudo [ started ]
rmnologin [ started ]
saned [ started ]
slim [ started ]
tor [ started ]
stop-bootlogd [ started ]
kmod [ started ]
savecache [ stopped ]
bootmisc.sh [ started ]
killprocs [ stopped ]
speech-dispatcher [ stopped ]
alsa-utils [ started ]
stop-bootlogd-single [ started ]
lm-sensors [ started ]
agetty [ stopped ]
reboot [ stopped ]
mount-configfs [ started ]
cgroups [ started ]
brightness [ started ]
single [ stopped ]
halt [ stopped ]
rc.local [ started ]
root@home:/home/freeartist-devuan# root@home:/home/freeartist-devuan# rc-update
acpid | default
alsa-utils | sysinit
anacron | default
avahi-daemon | default
bootlogd | sysinit
bootlogs | default recovery
bootmisc.sh | sysinit
brightness | sysinit
cgroups | sysinit
checkfs.sh | sysinit
checkroot-bootclean.sh | sysinit
checkroot.sh | sysinit
console-setup.sh | default
cron | default
cups | default
cups-browsed | default
dbus | default
elogind | default
eudev | sysinit
gpm | default
hostname.sh | sysinit
hwclock.sh | sysinit
keyboard-setup.sh | sysinit
killprocs | recovery
kmod | sysinit
lightdm | default
lm-sensors | sysinit
mount-configfs | sysinit
mountall-bootclean.sh | sysinit
mountall.sh | sysinit
mountdevsubfs.sh | sysinit
mountkernfs.sh | sysinit
mountnfs-bootclean.sh | sysinit
mountnfs.sh | sysinit
network-manager | default
networking | sysinit
openvpn | default
osspd | default
pcscd | default
procps | sysinit
pulseaudio-enable-autospawn | default
rc.local | default
rmnologin | default
rsyslog | default
saned | default
savecache | off
sendsigs | off
single | recovery
slim | default
stop-bootlogd | default
stop-bootlogd-single | sysinit
sudo | default
tor | default
umountfs | off
umountnfs.sh | off
umountroot | off
urandom | sysinit
x11-common | sysinit
root@home:/home/freeartist-devuan# At least it's easier than blindly sculpting Frankenstein.
here the point, it's so exciting making something with experemets ![]()
This is on purpose so that users of the blog don’t get bored. What else to do on long winter evenings if not sculpting Frankensteins?
Agree, its interesting but have no practical sense, at the begining feeling pleasure but after frustration
FWIW FVWM3 is supported, active, and has especially good themes. I gave up on the earlier versions quite awhile ago.
Thanks for reply, and personaly to you for supporting my homeland Ukraine!:)
But how configure stalonetray at fvwm3 and nscde? How activate it and add volume control and keyboard layout?
Now i install NsCDE. And have questions.
Why now all Qt applications at xfce have NsCDE window theme style, how change it to default?
UPD
qt5ct is help
huh, why at linux all is "muddle"?
Ok, thanks i will try, but fvwm and fvwm3 installed from devuan rpos looks equally when i load as sessions from Slim.
Ok, thanks.
But i am talking about two packages avaible at devuan repos. Its bit werid that why i am ask.
https://pkginfo.devuan.org/cgi-bin/poli … m&x=submit
https://pkginfo.devuan.org/cgi-bin/poli … 3&x=submit
I am install both. But i see that fvwm and fvwm3 have same versions. And i see at slim now two sessions, fvwm and fvwm3 but it looks equally. Can you explain?